# 人员组织权限接口文档

## 以下查询为模板案例

参考实体类 Example

| 字段 | 类型   |
| ---- | ------ |
| id   | int    |
| name | string |
| age  | int    |

### 查询（请参考[通用查询](/utils/query.md)）

### 新增

请求地址

```text
/example/create
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 更新

请求地址

```json
POST: /example/update
```

请求参数

```json
{
    "id": "1",
    "name": "test",
    "age": "23"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "123456"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```



### 删除

请求地址

```json
POST: /example/delete
```

请求参数

```json
{
    "id": "1"
}
```

返回结果：

正确JSON示例

```json
{
    "result": "success",
    "message": null,
    "data": {
        "id": "1"
    }
}
```

错误JSON示例

```json
{
    "result": "success",
    "message": "错误信息,如果接口发生错误会返回该字段"
}
```

### 

### 系统接口

### （注：condition 为 query，create，update，delete）

### （注：为了读写分离，serviceid还会变动，请不要写死）

#### 请求方法：POST

#### 集团

请求路径：/group/{condition}?userId=123&groupCode=集团编码&projectId=项目id&appId=应用id

请求参数：

```json
新增：
{
  "code": "WD",//非空
  "name": "万达",//非空
  "remark": "测试数据"
}
更新：全量更新
{
  "id": "1",
  "code": "WD",
  "name": "万达",
  "status": 1,
  "createUser": "test",
  "createTime": 1602635731000,
  "updateUser": "test",
  "updateTime": 1602635741000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```

#### 公司

请求路径：/company/{condition}?userId=123&groupCode=集团编码&appId=应用id

请求参数：

```json
新增：
更新
{
  "id": "1",
  "code": "WD_CP_01",
  "name": "万达测试1",
  "groupCode": "WD",
  "parentId": "0",
  "status": 1,
  "createUser": "test",
  "createTime": 1602472956000,
  "updateUser": "w",
  "updateTime": 1602529759000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 项目

请求路径：/project/{condition}

请求参数：

```json
{
  "id": "3",
  "name": "测试项目3",
  "groupCode": "WD",
  "status": 1,
  "createUser": "test",
  "createTime": 1602473167000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 人员账号

请求路径：/user/{condition}

请求参数：

```json
{
  "id": "1",
  "name": "King",
  "username": "king",
  "password": "123456",
  "gender": 1,
  "phone": "13399998888",
  "mail": "test@p.com",
  "birthday": 1602635405000,
  "headPortrait": "test_url",
  "otherAccount": "test_other",
  "userFrom": "test_0",
  "isAdmin": "0",
  "status": 1,
  "createUser": "test",
  "createTime": 1602635430000,
  "updateUser": "test1",
  "updateTime": 1602635517000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 部门

请求路径：/dept/{condition}?userId=123

请求参数：

```json
{
  "id": "1",
  "deptClassifyCode": "DEV_DATA",
  "code": "DEV_DMP",
  "name": "数据中台",
  "companyId": "1",
  "parentId": "0",
  "groupCode": "WD",
  "resourceFrom": "0",
  "manager": "admin",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637869000,
  "updateUser": "test",
  "updateTime": 1602637875000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```

#### 部门分类

请求路径： /dept/classify/{condition}

请求参数：

```json
{
  "id": "1",
  "code": "DEV",
  "name": "开发",
  "parentId": "0",
  "orderNum": "1",
  "groupCode": "WD",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637581000,
  "updateUser": "test",
  "updateTime": 1602637584000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 岗位

请求路径：/job/{condition}

请求参数：

```json
{
  "id": "1",
  "code": "DEV_JAVA",
  "name": "Java开发",
  "groupCode": "WD",
  "userId": "1",
  "deptId": "1",
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "resourceFrom": "0",
  "status": 1,
  "createUser": "test",
  "createTime": 1602635883000,
  "updateUser": "test",
  "updateTime": 1602635887000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 岗位分类

请求路径：/job/classify/{condition}

请求参数：

```json
{
  "id": "1",
  "code": "DEV_JAVA_CLASS",
  "name": "开发",
  "groupCode": "WD",
  "orderNum": "1",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637370000,
  "updateUser": "test",
  "updateTime": 1602637379000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```

#### 应用

请求路径：/application/{condition}

请求参数：

```json
{
  "id": "1",
  "code": "DMP",
  "name": "数据中台",
  "category": "运维",
  "appOrder": 1,
  "menuIconKey": "test_icon",
  "iconKey": "test_key",
  "description": "测试des",
  "objType": "test_type",
  "status": 1,
  "createUser": "test",
  "createTime": 1602638586000,
  "updateUser": "test",
  "updateTime": 1602638597000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 功能

请求路径：/function/{condition}

请求参数：

```json
{
  "id": "1",
  "code": "DMP_FUNC",
  "name": "数据中台功能",
  "type": "test",
  "parentId": "0",
  "appId": "1",
  "functionUrl": "test_url",
  "icon": "test_icon",
  "description": "test_des",
  "functionAlias": "test_alias",
  "objType": "test_type",
  "funcOrder": 1,
  "status": 1,
  "createUser": "test",
  "createTime": 1602638915000,
  "updateUser": "test",
  "updateTime": 1602638923000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```
#### 岗位分类与应用功能关系

请求路径：/job/classify/rel/{condition}

请求参数：

```json
{
  "id": "1",
  "jobClassifyCode": "DEV_JAVA_CLASS",
  "appId": "1",
  "functionId": "1",
  "groupCode": "WD",
  "status": 1,
  "createUser": "test",
  "createTime": 1602637470000,
  "updateUser": "test",
  "updateTime": 1602637476000,
  "remark": "测试数据"
}
删除：
{
  "id": "1"
}
```