### 数据说明

```
1.对象数据，即类型定义的实例，表示现实世界中的一个具体的物体，比如一个具体的房间，一个具体的空调
2.


```

### 数据结构

| 字段           | 数据类型       | 查询字段 | 说明                       |
| -------------- | -------------- | -------- | -------------------------- |
| id             | String         | Y        | id，全局唯一               |
| name           | String         | Y        |                            |
| localId        | String         | Y        |                            |
| localName      | String         | Y        |                            |
| projectId      | String         | Y        |                            |
| classCode      | String         | Y        |                            |
| objType        | String         | Y        |                            |
| valid          | Integer        | Y        |                            |
| createTime     | Date           | Y        |                            |
| createApp      | String         |          |                            |
| updateTime     | Date           | Y        |                            |
| updateApp      | String         |          |                            |
| 其他信息点编码 | 根据信息点定义 | Y        | 参数不当会严重影响查询性能 |
|                |                |          |                            |

### 创建对象

接口说明

```
1.项目ID不可为空
2.appId不可为空(目前未校验)
3.该接口为批量接口,任一对象创建失败则全部失败

```

请求方式

```
POST /instance/object/create?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明     |
| --------- | -------- | -------- |
| groupCode | String   | 集团编码 |
| schemeId  | String   | 方案 id  |
| projectId | String   | 项目 id  |
| appId     | String   | 应用 id  |

请求体

```
[
    {
        "id": "对象id, 调用方传入,若为空则生成默认id,目前默认id为uuid",
        "classCode": "类型编码,不可为空",
        "信息点编码": "信息点值"
    }
]

```

返回数据

```
{
    "result": "success"
}

```

### 更新对象

接口说明

```
1.项目ID不可为空
2.appId不可为空(目前未校验)
3.该接口为批量接口,任一对象更新失败则全部失败
4.classCode不可修改

```

请求方式

```
POST /instance/object/update?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明     |
| --------- | -------- | -------- |
| groupCode | String   | 集团编码 |
| schemeId  | String   | 方案 id  |
| projectId | String   | 项目 id  |
| appId     | String   | 应用 id  |

请求体

```
[
    {
        "id": "对象id, 调用方传入,若为空则生成默认id,目前默认id为uuid",
        "信息点编码": "信息点值"
    }
]

```

返回数据

```
{
    "result": "success"
}

```

### 删除对象

接口说明

```
1.项目ID不可为空
2.appId不可为空(目前未校验)
3.该接口为批量接口
4.对象删除后与该对象相关的关系数据也会被删除(异步,未实现)

```

请求方式

```
POST /instance/object/delete?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明     |
| --------- | -------- | -------- |
| groupCode | String   | 集团编码 |
| schemeId  | String   | 方案 id  |
| projectId | String   | 项目 id  |
| appId     | String   | 应用 id  |

请求体

```
[ "id1", "id2", "id3" ]
```

返回数据

```
{
    "result": "success"
}

```

### 查询对象

请求方式

```
POST /instance/object/query?groupCode=集团编码&schemeId=方案id&projectId=项目id&appId=应用id
```

路径参数说明

| 字段      | 数据类型 | 说明     |
| --------- | -------- | -------- |
| groupCode | String   | 集团编码 |
| schemeId  | String   | 方案 id  |
| projectId | String   | 项目 id  |
| appId     | String   | 应用 id  |

请求体

```
{
    "criteria":{
        "localId": [ "ATAH-20", "ATAH-21" ],
        "classCode": "ACATAH",
        "relationFrom": {
            "graphId": "",
            "graphCode": "",
            "relCode": "",
            "objTo": ""
        },
        "relationTo": {
            "graphId": "",
            "graphCode": "",
            "relCode": "",
            "objFrom": ""
        },
    },
    "withColumns": [ "信息点1", "信息点2" ]
}
```

请求参数说明

```
1.relationFrom和relationTo表示查询存在参数对应的关系数据的对象

```

返回数据

```
{
    "result": "success",
    "count": 4,
    "data": [
        {
            "id": "Eq1101050029022eb5d30eff4d33b42f246874650da8",
            "classCode": "ACATAH",
            "projectId": "Pj1101050029",
            "grouping": 1,
            "objType": "equipment",
            "valid": 1,
            "name": "设备-UYLQY",
            "localId": "ATAH-20",
            "localName": "吊顶式空气处理机组-F3公共通道-36",
            "createTime": 1601511294000,
            "createApp": "datautils",
            "updateTime": 1602384680000,
            "virtualInfoCodes": []
        }
    ]
}

```
